package com.neusoft.smart.pos.member.persistent.mapper;

import com.neusoft.smart.pos.member.persistent.domain.MemberLevelPolicy;
import com.neusoft.smart.pos.member.persistent.domain.MemberLevelPolicyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberLevelPolicyMapper {
    int countByExample(MemberLevelPolicyExample example);

    int deleteByExample(MemberLevelPolicyExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MemberLevelPolicy record);

    int insertSelective(MemberLevelPolicy record);

    List<MemberLevelPolicy> selectByExample(MemberLevelPolicyExample example);

    MemberLevelPolicy selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MemberLevelPolicy record, @Param("example") MemberLevelPolicyExample example);

    int updateByExample(@Param("record") MemberLevelPolicy record, @Param("example") MemberLevelPolicyExample example);

    int updateByPrimaryKeySelective(MemberLevelPolicy record);

    int updateByPrimaryKey(MemberLevelPolicy record);

    void batchInsert(@Param("items") List<MemberLevelPolicy> items);
}